### Property

# Ide TreeNode:has-error

#### Declaration

    property has-error: gboolean [ read, write ]

#### Description

The “has-error” property is true if the node should be rendered with an error styling. This is useful when errors are known by the diagnostics manager for a given file or folder.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_tree_node_set_has_error()`
Getter method | `ide_tree_node_get_has_error()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no